Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Lightguns Arcade1Up --- Bug Reports --- Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news

  

Author Topic: Help compiling retroarch under Groovyarcade  (Read 792 times)

0 Members and 1 Guest are viewing this topic.

pakoman

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 137
  • Last login:June 15, 2019, 04:47:54 am
  • I want to build my own arcade controls!
Help compiling retroarch under Groovyarcade
« on: February 11, 2016, 02:05:20 pm »
Hi,

I want to add N64, PSP and DC support to Groovyarcade.

I'm trying under a virtualbox installation of Groovyarcade for 64 bits. It has access to internet but when I type "git clone git://github.com/libretro/libretro-super.git" y get "bash: git: command not found" error.

I tried to copy the files of Retroarch from Lakka distribution, but I get this error when I run Retroarch:
"Didn't read whole file: /sys/devices/system/cpu/pressent.
Didn't read whole file: /sys/devices/system/cpu/possible."

What should I do to compile under Groovyarcade environment?

Regards.

donluca

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 155
  • Last login:June 19, 2019, 06:15:19 am
  • I want to build my own arcade controls!
Re: Help compiling retroarch under Groovyarcade
« Reply #1 on: February 11, 2016, 09:18:55 pm »
Looks like git is not installed in the Groovyarcade distro.

I'm pretty sure there's a package manager though, which distro is GA built upon?

Doozer

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 406
  • Last login:June 22, 2019, 02:42:53 pm
  • Z80 ERROR
Re: Help compiling retroarch under Groovyarcade
« Reply #2 on: February 12, 2016, 05:05:05 am »
Looks like git is not installed in the Groovyarcade distro.

I'm pretty sure there's a package manager though, which distro is GA built upon?

GA is built upon Arch Linux. The package manager is 'pacman'. You can type 'pacman -Syyu' to update it.

pakoman

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 137
  • Last login:June 15, 2019, 04:47:54 am
  • I want to build my own arcade controls!
Re: Help compiling retroarch under Groovyarcade
« Reply #3 on: February 12, 2016, 02:39:44 pm »
Quote
GA is built upon Arch Linux. The package manager is 'pacman'. You can type 'pacman -Syyu' to update it.

Thanks, I typed that and I think it's now downloading and updating all Linux packages already in the system.

What should I type to download from a repository or compile Retroarch?
« Last Edit: February 12, 2016, 03:49:03 pm by pakoman »

donluca

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 155
  • Last login:June 19, 2019, 06:15:19 am
  • I want to build my own arcade controls!
Re: Help compiling retroarch under Groovyarcade
« Reply #4 on: February 12, 2016, 06:37:31 pm »
pacman --help
should give you all the information you need.

Or you can always do
man pacman
and open the manual ;)

pakoman

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 137
  • Last login:June 15, 2019, 04:47:54 am
  • I want to build my own arcade controls!
Re: Help compiling retroarch under Groovyarcade
« Reply #5 on: February 16, 2016, 04:09:52 pm »
I've gone a bit further but still no luck.

I managed to to compile and install apacman:

wget https://aur.archlinux.org/cgit/aur.git/snapshot/apacman.tar.gz
tar xzf apacman
cd apacman
makepkg -si

and then install SDL2:
apacman -S sdl2

Bue when I try with Retroarch, it downloads everything start checking the source files and then it gives an error when 'LD retroarch' line appears it gives a lot of undefined references and makefile 124 recipe for target 'retroarch' failed:
apacman -S retroarch-rbp-git

If I use:
pacman -S sdl2-git
pacman -S retroarch-git

it works for SDL but does not found retroarch-git :(